QwtSplinePleasing(3)

NAME
QwtSplinePleasing - A spline with G1 continuity.

SYNOPSIS

#include <qwt_spline_pleasing.h>

Inherits QwtSplineG1.

  Public Member Functions
QwtSplinePleasing ()
Constructor.
virtual ~QwtSplinePleasing ()
Destructor.
virtual uint locality () const override
virtual QPainterPath painterPath (const QPolygonF &) const override
Interpolate a curve with Bezier curves.
virtual QVector< QLineF > bezierControlLines (const QPolygonF &) const override
Interpolate a curve with Bezier curves.

  Additional Inherited Members

Detailed Description

A spline with G1 continuity. QwtSplinePleasing is some sort of cardinal spline, with non C1 continuous extra rules for narrow angles. It has a locality of 2.

Note
    The algorithm is the one offered by a popular office package.

Definition at line 23 of file qwt_spline_pleasing.h.

Constructor & Destructor Documentation

  QwtSplinePleasing::QwtSplinePleasing ()

Constructor. The default setting is a non closing spline with uniform parametrization. ( QwtSplineParametrization::ParameterUniform ).

See also
    QwtSpline::setParametrization(), QwtSpline::setBoundaryType()

Definition at line 265 of file qwt_spline_pleasing.cpp.

Member Function Documentation

  QVector< QLineF > QwtSplinePleasing::bezierControlLines (const QPolygonF & points) const [override], [virtual]

Interpolate a curve with Bezier curves. Interpolates a polygon piecewise with cubic Bezier curves and returns the 2 control points of each curve as QLineF.

Parameters
    points Control points

Returns
    Control points of the interpolating Bezier curves

Implements QwtSplineInterpolating.

Definition at line 327 of file qwt_spline_pleasing.cpp.

  uint QwtSplinePleasing::locality () const [override], [virtual]

Returns
    2

Reimplemented from QwtSpline.

Definition at line 276 of file qwt_spline_pleasing.cpp.

  QPainterPath QwtSplinePleasing::painterPath (const QPolygonF & points) const [override], [virtual]

Interpolate a curve with Bezier curves. Interpolates a polygon piecewise with cubic Bezier curves and returns them as QPainterPath.

Parameters
    points Control points

Returns
    QPainterPath Painter path, that can be rendered by QPainter

Reimplemented from QwtSplineInterpolating.

Definition at line 290 of file qwt_spline_pleasing.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.